# This file is the basis for a binary Tk Linux RPM.

%define major 8
%define minor 6
%define fix 8

Name:          tk
Summary:       Tk graphical toolkit for the Tcl scripting language.
Version:       %{major}.%{minor}.%{fix}
Release: 4
License:       TCL
URL:           http://www.tcl.tk/

BuildRequires: autoconf
BuildRequires: tcl-devel >= %version
BuildRequires: libX11-devel
BuildRequires: libXext-devel

Requires:      tcl >= %version

Source0: http://prdownloads.sourceforge.net/tcl/tk%{version}-src.tar.gz

Patch0: tk-unix_tcl.m4.patch

%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks.  When paired with
the Tk toolkit, Tcl provides the fastest and most powerful way to
create GUI applications that run on PCs, Unix, and Mac OS X.  Tcl
can also be used for a variety of web-related tasks and for creating
powerful command languages for applications.

%package devel
Summary: The Tk development files
Requires: %{name} = %{version}-%{release}
Requires: tcl-devel >= %version


%description devel
The Tk development files


%prep
%setup -q -n %{name}%{version}

%patch0 -p1

%build
cd unix
autoconf

%configure

make

%install
cd unix
make INSTALL_ROOT=%buildroot install

%files -n tk
%defattr(-, qsys, *none)

%{_libdir}/libtk%{major}.%{minor}.so
%{_libdir}/libtkstub%{major}.%{minor}.a
%{_libdir}/pkgconfig/*
%{_libdir}/tk%{major}.%{minor}

%{_bindir}/*

%{_mandir}/man1/*
%{_mandir}/mann/*

%files devel
%defattr(-, qsys, *none)

%{_includedir}/*

%{_libdir}/tkConfig.sh

%{_mandir}/man3/*

%changelog
* Mon Dec 06 2021 Mark Irish <mirish@ibm.com> - 8.6.8
- Build with X.org libraries (libX11-devel and libXext-devel)
- Fix tk-unix_tcl.m4.patch to build with proper SHLIB_LD flags

* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 8.6.8
- Intra-package Requires need version and release

* Thu Nov 21 2019 Mark Irish <mirish@ibm.com> - 8.6.8
- Stop shipping pkgconfig directory (still ship files inside)
- Move tkConfig.sh to the devel package

* Fri Jan 04 2019 - Kevin Adler <kadler@us.ibm.com>
- tk-devel requires tcl-devel so add it

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- General cleanup
- Use SPDX license identifier

* Thu Sep 27 2018 - Gavin Zhang <zhanggan@cn.ibm.com>
- Initial package
